API

Pair device

Redeems a short-lived pairing code for a device bearer token returned exactly once.

POST/v1/hq/device_pairings

Request Body

application/json

code*string
Match^[0-9]{6}$
device_id?string

Response Body

application/json

application/json

application/json

curl -X POST "https://api.noona.is/v1/hq/device_pairings" \  -H "Content-Type: application/json" \  -d '{    "code": "string"  }'
{
  "device": {
    "id": "string",
    "company": "string",
    "name": "string",
    "type": "checkin",
    "status": "unpaired",
    "configuration": {
      "terminal": "string",
      "success_message": "string"
    },
    "pairing": {
      "expires_at": "2019-08-24T14:15:22Z",
      "consumed_at": "2019-08-24T14:15:22Z",
      "attempts_remaining": 0
    },
    "masked_token": "string",
    "last_active": "2019-08-24T14:15:22Z",
    "revoked_at": "2019-08-24T14:15:22Z",
    "created_by": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "token": "string"
}
Empty
Empty
{
  "message": "Customer onboarding error."
}
Empty
{
  "message": "Customer onboarding error."
}